Bug 489795 - Review Request: backintime - Simple backup system
Review Request: backintime - Simple backup system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 17:05 EDT by Simon
Modified: 2014-08-12 08:00 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.9.22-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 17:23:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-03-11 17:05:32 EDT
Spec URL: 
http://cassmodiah.fedorapeople.org/backintime-0.9.14/backintime.spec


SRPM URL: 
http://cassmodiah.fedorapeople.org/backintime-0.9.14/backintime-0.9.14-1.fc10.src.rpm


Description: 
Back In Time is a simple backup system for Linux inspired from 
“flyback project” and “TimeVault”. The backup is done by taking 
snapshots of a specified set of directories.


RPMLint-Issues:
silent
Comment 1 Christoph Wickert 2009-03-17 06:51:39 EDT
Please update to 0.9.16.1 and I will review it.
Comment 2 Christoph Wickert 2009-03-17 07:02:02 EDT
Please update to 0.9.16.1 and I will review it.
Comment 4 Simon 2009-04-06 05:12:27 EDT
update....

SPEC:
http://cassmodiah.fedorapeople.org/backintime-0.9.20/backintime.spec

SRPM:
http://cassmodiah.fedorapeople.org/backintime-0.9.20/backintime-0.9.20-1.fc10.src.rpm

RPMLint:
backintime-gnome.noarch: W: no-dependency-on usermode
backintime-gnome.noarch: W: conffile-without-noreplace-flag /etc/security/console.apps/backintime-gnome-root
backintime-kde4.noarch: W: no-dependency-on usermode
backintime-kde4.noarch: W: conffile-without-noreplace-flag /etc/security/console.apps/backintime-kde4-root
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

Conffile= who cares?
usermode= there is a Requires: usermode-gtk and that will require usermode, so this is okay!
Comment 6 Christoph Wickert 2009-04-24 20:36:47 EDT
Review for 18418dd31e8d17229258157e46fe9ff8  backintime-0.9.20-1.fc10.src.rpm

OK - MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/backintime-*
backintime-gnome.noarch: W: conffile-without-noreplace-flag /etc/security/console.apps/backintime-gnome-root
backintime-gnome.noarch: W: no-dependency-on usermode
backintime-kde.noarch: W: conffile-without-noreplace-flag /etc/security/console.apps/backintime-kde4-root
backintime-kde.noarch: W: no-dependency-on usermode
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines (GPLv2+)
OK - MUST: The License field in the package spec file matches the actual license.
OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package match the upstream source by MD5 4fa800758e98f3bfad5850d6e7f5098c
OK - MUST: The package successfully compiles and builds into binary rpms on i386 (noarch)
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
OK - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates.
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. Every %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
N/A - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: All filenames in rpm packages are valid UTF-8.


SHOULD Items:
N/A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: The the package builds in mock.
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described.
N/A - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
OK - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Notes:
- Please change %description to "Gnome frontend for %{name}" and "KDE frontend for %{name}".
- Add TRANSLATIONS to %doc, it's a credits file like AUTHORS
- us cp -p when copying from bindir to sbindir
- mark %{_datadir}/gnome/help/%{name}/ %doc

None of these is a blocker, so I APPROVE this package and you can change it later.
Comment 7 Christoph Wickert 2009-04-24 20:39:15 EDT
Final words: IMO the patch for the desktop files could be dropped. You can easily make these changes with sed and desktop-file-install, but this is just me being lazy.
Comment 8 Simon 2009-04-25 05:25:54 EDT
New Package CVS Request
=======================
Package Name: backintime
Short Description: Simple backup system
Owners: cassmodiah
Branches: F-10 F-11
InitialCC: 

- Please change %description to "Gnome frontend for %{name}" and "KDE frontend
for %{name}".
DONE (will be in CVS)

- Add TRANSLATIONS to %doc, it's a credits file like AUTHORS
DONE (will be in CVS)

- use cp -p when copying from bindir to sbindir
DONE (will be in CVS)

- mark %{_datadir}/gnome/help/%{name}/ as %doc
DONE (will be in CVS)

- Desktopfile
yeah, it was hard for me to come to a decision. I prefer sed and desktopinstall, too. But on the other hand i saw in other packages that they patch the whole desktopfile with categories and so on, because they have to edit them, so they decided to make the whole with the patch instead of splitting patch and desktopfileinstall. it's good to hear that you would make it like i would prefer. this agreement shows me that my line of thought is not unsolicited.
DONE (will be in CVS)
Comment 9 Kevin Fenzi 2009-04-27 01:16:43 EDT
cvs done.
Comment 10 Fedora Update System 2009-04-27 04:11:25 EDT
backintime-0.9.22-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/backintime-0.9.22-2.fc11
Comment 11 Fedora Update System 2009-04-27 04:12:42 EDT
backintime-0.9.22-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/backintime-0.9.22-2.fc10
Comment 12 Fedora Update System 2009-04-27 17:23:28 EDT
backintime-0.9.22-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-09 00:01:55 EDT
backintime-0.9.22-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Tim Jackson 2012-07-02 15:19:41 EDT
Package Change Request
======================
Package Name: backintime
New Branches: el6
Owners: timj
Comment 15 Gwyn Ciesla 2012-07-02 15:28:34 EDT
Git done (by process-git-requests).
Comment 16 Christopher Meng 2014-08-12 06:32:41 EDT
Package Change Request
======================
Package Name: backintime
New Branches: epel7
Owners: cicku timj
Comment 17 Gwyn Ciesla 2014-08-12 08:00:07 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.